

#include <SPI.h>
const int ss = 10;
const byte S[8] = {0x80, 0x3c, 0xe6, 0x60, 0xbc, 0x06, 0xe6, 0x3c};
const byte I[8] = {0x80, 0x3c, 0x98, 0x18, 0x98, 0x18, 0x98, 0x3c};
const byte L[8] = {0x80, 0x60, 0xe0, 0x60, 0xe0, 0x60, 0xe0, 0x7e};
const byte E[8] = {0x80, 0x7e, 0xe0, 0x60, 0xf8, 0x60, 0xe0, 0x7e};
const byte G[8] = {0x80, 0x3c, 0xe6, 0x60, 0xee, 0x66, 0xe6, 0x3e};
const byte O[8] = {0x80, 0x3c, 0xe6, 0x66, 0xe6, 0x66, 0xe6, 0x3c};
int i = 0;
const unsigned long Ctime=1000;
unsigned long Stime;

void setup() {
  
  pinMode(ss, OUTPUT);
  SPI.begin();
 
  SPI.beginTransaction(SPISettings(100000, LSBFIRST, SPI_MODE1));
  digitalWrite(ss,LOW);

}

void loop() {
  Stime=millis();
  while(millis()-Stime<Ctime)
  {
    for (i = 0; i < 8; i++) {
      SPI.transfer(S[i]);
      delay(1);
      
    }
  }
  Stime=millis();
  while(millis()-Stime<Ctime)
  {
    for (i = 0; i < 8; i++) {
      SPI.transfer(I[i]);
      delay(1);
      
    }
  }
  Stime=millis();
  while(millis()-Stime<Ctime)
  {
    for (i = 0; i < 8; i++) {
      SPI.transfer(L[i]);
      delay(1);
      
    }
  }
  Stime=millis();
  while(millis()-Stime<Ctime)
  {
    for (i = 0; i < 8; i++) {
      SPI.transfer(E[i]);
      delay(1);
      
    }
  }
  Stime=millis();
  while(millis()-Stime<Ctime)
  {
    for (i = 0; i < 8; i++) {
      SPI.transfer(G[i]);
      delay(1);
      
    }
  }
  Stime=millis();
  while(millis()-Stime<Ctime)
  {
    for (i = 0; i < 8; i++) {
      SPI.transfer(O[i]);
      delay(1);
      
    }
  }
  
}
